org.apache.solr.client.solrj.cloud.autoscaling

## Class Preference

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.Preference

All Implemented Interfaces:
  MapSerializable, MapWriter

    public class Preference
    extends Object
    implements MapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`int` `idx`

### Method Summary

All Methods Instance Methods Concrete Methods
`Policy.SortParam` `getName()`
`void` `writeMap(MapWriter.EntryWriter ew)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`toMap`

### Field Detail

#### idx

    public int idx

### Method Detail

#### writeMap

    public void writeMap(MapWriter.EntryWriter ew)
                  throws IOException

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

#### getName

    public Policy.SortParam getName()